| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Classes | Namespaces | Typedefs
Registry.hpp File Reference
`#include <SoapySDR/Config.hpp>`
`#include <SoapySDR/Version.hpp>`
`#include <SoapySDR/Types.hpp>`
`#include <vector>`
`#include <string>`
`#include <map>`

Go to the source code of this file.

## Classes
class | SoapySDR::Registry

## Namespaces
namespace | SoapySDR

## Typedefs
typedef KwargsList(* | SoapySDR::FindFunction) (const Kwargs &)
| typedef for a device enumeration function More...
typedef Device *(* | SoapySDR::MakeFunction) (const Kwargs &)
| typedef for a device factory function More...
typedef std::map< std::string, FindFunction > | SoapySDR::FindFunctions
| typedef for a dictionary of find functions More...
typedef std::map< std::string, MakeFunction > | SoapySDR::MakeFunctions
| typedef for a dictionary of make functions More...

## Detailed Description

Device factory registration API.

Copyright
  Copyright (c) 2014-2015 Josh Blum SPDX-License-Identifier: BSL-1.0